### Function

# Gio DBusError register_error

since: 2.26

#### Declaration

    gboolean
    g_dbus_error_register_error (
      GQuark error_domain,
      gint error_code,
      const gchar* dbus_error_name
    )

#### Description

Creates an association to map between `dbus_error_name` and `GErrors` specified by `error_domain` and `error_code`.

This is typically done in the routine that returns the `GQuark` for an error domain.

Available since: 2.26

#### Parameters

`error_domain`

  Type: `GQuark`

  A `GQuark` for an error domain.

`error_code`

  Type: `gint`

  An error code.

`dbus_error_name`

  Type: `const gchar*`

  A D-Bus error name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the association was created, `FALSE` if it already exists.